
#include <p18cxxx.h>
#include <stdio.h>
#include "sd\pff.h"		/* Petit FatFs configurations and declarations */

#pragma config WDT = OFF, LVP = OFF, OSC = HSPLL, XINST = OFF

/************************************
Prototypes
*************************************/
void main(void);
/************************************
Variables and Defines
*************************************/
BYTE buffer[30];
BYTE buffer2[30];

BYTE ROOT = '/';
BYTE MyFile[11]={"readme.txt"};
/************************************
Main
*************************************/

void main(void){
    FATFS fs;          // Work area (file system object) for the volume
    UINT br;           // File read count
    FRESULT res;       // Petit FatFs function common result code

    ADCON1 = 0x0F;
    TRISD = 0xF0;

    pf_mount(0);

    res = 0xFF;
    while(res != 0){
        res = disk_initialize();
    }

    res = 0xFF;
    while(res != 0){
        res = pf_mount(&fs);
    }

    res = 0xFF;
    while(res != 0){
        res = pf_open(MyFile);
    }

    res = 0xFF;
    while(res != 0){
        res = pf_read(buffer, 30, &br);    // Read data to the buff[]
    }

    sprintf(buffer2,"Data: %s LEN:%d",buffer,br);

	while(1){
        Nop();
	}
}

